﻿$mydocuments = [environment]::getfolderpath("mydocuments")
$ComputerInfo = "$mydocuments\Computer Info for JoCo IT.txt"

<# Get Computer Information #>
get-computerinfo | out-file $ComputerInfo

<# Get Disk Information 1 #>
Get-PhysicalDisk | out-file -Append $ComputerInfo

<# Get Disk Information 2 #>
Get-CimInstance -Class Win32_LogicalDisk | Select-Object @{Name="Size(GB)";Expression={$_.size/1gb}}, @{Name="Free Space(GB)";Expression={$_.freespace/1gb}}, @{Name="Free (%)";Expression={"{0,6:P0}" -f(($_.freespace/1gb) / ($_.size/1gb))}}, DeviceID, DriveType | Where-Object DriveType -EQ '3' | out-file -Append $ComputerInfo

<# Total Memory Installed #>
(Get-CimInstance Win32_PhysicalMemory | Measure-Object -Property capacity -Sum).sum /1gb | out-file -Append $ComputerInfo

<# All Memory Information #>
Get-WmiObject Win32_PhysicalMemory | Format-List * | out-file -Append $ComputerInfo

<# Open folder and select file #>
explorer /select,$computerinfo
